# Generated by Django 5.0.6 on 2024-05-26 20:08

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("chat", "0003_message_users_read"),
    ]

    operations = [
        migrations.AlterField(
            model_name="channel",
            name="category",
            field=models.CharField(
                choices=[
                    ("general", "General channels"),
                    ("tournament", "Tournament channels"),
                    ("team", "Team channels"),
                    ("private", "Private channels"),
                ],
                default="general",
                help_text="Category of the channel, between general channels, tournament-specific channels, team channels or private channels. Will be used to sort channels in the channel list.",
                max_length=255,
                verbose_name="category",
            ),
        ),
        migrations.AlterField(
            model_name="channel",
            name="name",
            field=models.CharField(
                help_text="Visible name of the channel.",
                max_length=255,
                verbose_name="name",
            ),
        ),
        migrations.AlterField(
            model_name="channel",
            name="read_access",
            field=models.CharField(
                choices=[
                    ("anonymous", "Everyone, including anonymous users"),
                    ("authenticated", "Authenticated users"),
                    ("volunteer", "All volunteers"),
                    ("tournament", "All members of a given tournament"),
                    ("organizer", "Tournament organizers only"),
                    (
                        "jury_president",
                        "Tournament organizers and jury presidents of the tournament",
                    ),
                    ("jury", "Jury members of the pool"),
                    ("pool", "Jury members and participants of the pool"),
                    (
                        "team",
                        "Members of the team and organizers of concerned tournaments",
                    ),
                    ("private", "Private, reserved to explicit authorized users"),
                    ("admin", "Admin users"),
                ],
                help_text="Permission type that is required to read the messages of the channels.",
                max_length=16,
                verbose_name="read permission",
            ),
        ),
        migrations.AlterField(
            model_name="channel",
            name="write_access",
            field=models.CharField(
                choices=[
                    ("anonymous", "Everyone, including anonymous users"),
                    ("authenticated", "Authenticated users"),
                    ("volunteer", "All volunteers"),
                    ("tournament", "All members of a given tournament"),
                    ("organizer", "Tournament organizers only"),
                    (
                        "jury_president",
                        "Tournament organizers and jury presidents of the tournament",
                    ),
                    ("jury", "Jury members of the pool"),
                    ("pool", "Jury members and participants of the pool"),
                    (
                        "team",
                        "Members of the team and organizers of concerned tournaments",
                    ),
                    ("private", "Private, reserved to explicit authorized users"),
                    ("admin", "Admin users"),
                ],
                help_text="Permission type that is required to write a message to a channel.",
                max_length=16,
                verbose_name="write permission",
            ),
        ),
    ]
